# coding: utf-8

"""
    URL Shortener API

    This API is responsible of authetication and the creation, modification and deletion of uris and hooks.  # noqa: E501

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from api.uri_api import UriApi  # noqa: E501
from swagger_client.rest import ApiException


class TestUriApi(unittest.TestCase):
    """UriApi unit test stubs"""

    def setUp(self):
        self.api = api.uri_api.UriApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_activate_uri(self):
        """Test case for activate_uri

        Activate a URI  # noqa: E501
        """
        pass

    def test_add_uri(self):
        """Test case for add_uri

        Add a new URI  # noqa: E501
        """
        pass

    def test_deactivate_uri(self):
        """Test case for deactivate_uri

        Deactivate a URI  # noqa: E501
        """
        pass

    def test_delete_uri(self):
        """Test case for delete_uri

        Deletes a URI  # noqa: E501
        """
        pass

    def test_get_hooks_by_uri(self):
        """Test case for get_hooks_by_uri

        Retrieves all the hooks of a URI  # noqa: E501
        """
        pass

    def test_get_uri(self):
        """Test case for get_uri

        Find URI by ID  # noqa: E501
        """
        pass

    def test_get_uri_by_user(self):
        """Test case for get_uri_by_user

        Retrieves all the URI of a user  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
